> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar uma Solicitação de Recuperação de Recursos

> Use este endpoint para atualizar uma solicitação de recuperação de recursos existente. As atualizações só são permitidas para solicitações nos status CREATED, TRACKED ou AWAITING_ANALYSIS.

**Notas:**
- Apenas situationType, reportDetails e contactInformation podem ser atualizados
- As atualizações não são permitidas para solicitações em estados terminais (COMPLETED, CANCELLED)



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml PATCH /v1/dict/funds-recoveries/{funds_recovery_id}
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/funds-recoveries/{funds_recovery_id}:
    patch:
      tags:
        - Funds Recovery API
      summary: Atualizar uma Solicitação de Recuperação de Recursos
      description: >-
        Use este endpoint para atualizar uma solicitação de recuperação de
        recursos existente. As atualizações só são permitidas para solicitações
        nos status CREATED, TRACKED ou AWAITING_ANALYSIS.


        **Notas:**

        - Apenas situationType, reportDetails e contactInformation podem ser
        atualizados

        - As atualizações não são permitidas para solicitações em estados
        terminais (COMPLETED, CANCELLED)
      parameters:
        - name: funds_recovery_id
          in: path
          description: ID da Recuperação de Recursos (formato UUID)
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFundsRecoveryInput'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateFundsRecoveryOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateFundsRecoveryInput:
      properties:
        contactInformation:
          allOf:
            - $ref: '#/components/schemas/ContactInformation'
          description: >-
            ContactInformation contém as informações de contato da pessoa que
            reporta a fraude
        reportDetails:
          description: ReportDetails é a descrição detalhada do incidente de fraude
          example: Detalhes atualizados sobre o incidente de fraude
          maxLength: 2000
          type: string
        situationType:
          description: SituationType é o tipo de situação de fraude
          enum:
            - SCAM
            - ACCOUNT_TAKEOVER
            - COERCION
            - FRAUDULENT_ACCESS
            - OTHER
            - UNKNOWN
          example: SCAM
          type: string
      required:
        - contactInformation
        - situationType
      type: object
    UpdateFundsRecoveryOutput:
      properties:
        bacenFundsRecoveryId:
          example: 91d65e98-97c0-4b0f-b577-73625da1f9fc
          type: string
        contactInformation:
          $ref: '#/components/schemas/ContactInformation'
        createdAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
        id:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        reportDetails:
          example: >-
            Cliente reportou ter recebido uma ligação de um falso funcionário do
            banco
          type: string
        reporterParticipant:
          example: '12345678'
          type: string
        rootTransactionId:
          example: E12345678202411241430ABCDEFGHIJK
          type: string
        situationType:
          enum:
            - SCAM
            - ACCOUNT_TAKEOVER
            - COERCION
            - FRAUDULENT_ACCESS
            - OTHER
            - UNKNOWN
          example: SCAM
          type: string
        status:
          enum:
            - CREATED
            - TRACKED
            - AWAITING_ANALYSIS
            - ANALYSED
            - REFUNDING
            - COMPLETED
            - CANCELLED
          example: CREATED
          type: string
        updatedAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
      type: object
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    ContactInformation:
      properties:
        email:
          description: Email é o endereço de e-mail do cliente que está reportando a fraude
          example: customer@example.com
          type: string
        phone:
          description: |-
            Phone é o número de telefone do cliente que está reportando a fraude
            Formato: formato E.164 recomendado (por exemplo, +5511999999999)
          example: '+5511999999999'
          type: string
      required:
        - email
        - phone
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````